Bug 82216 - [GTK] jhbuild wrongly tricked into clean-up
Summary: [GTK] jhbuild wrongly tricked into clean-up
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 08:52 PDT by Philippe Normand
Modified: 2012-03-28 01:23 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.14 KB, patch)
2012-03-26 09:09 PDT, Philippe Normand
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2012-03-26 08:52:42 PDT
Patch http://trac.webkit.org/changeset/111929 badly broke setups where the build directory is the git branch name, at least.

Here my build directory is /home/phil/gst/jhbuild/build/WebKit/WebKitBuild/branchName/Release

jhbuild clean is triggered... and fails:


/bin/sh /home/phil/gst/jhbuild/build/WebKit/WebKitBuild/Dependencies/Root/share/jhbuild/triggers/glib.trigger
*** the following modules were not built *** [16/16]
fonts
Cleaning jhbuild modules failed! at /home/phil/gst/jhbuild/build/WebKit/Tools/Scripts/webkitdirs.pm line 1951.

It seems the jhbuild.modules md5sum test always fails in that setup. Also, I don't think storing the jhbuildrc.md5sum and jhbuild.modules.md5sum in the build directory is a very good idea... Why not storing it in Dependencies or in Tools/ somewhere and ignore it from the VCS POV?
Comment 1 Philippe Normand 2012-03-26 09:09:28 PDT
Created attachment 133825 [details]
Patch
Comment 2 Philippe Normand 2012-03-26 09:11:15 PDT
Someone should also check the fonts cleaning error but not me, I spent too much time doing perl today.
Comment 3 Mustafizur Rahaman( :rahaman) 2012-03-27 01:34:37 PDT
Today I got an weird build issue while building webkit-gtk & I am using 112046.

I got my release build working, but then when I am building webkit for debug option, I see that all my dependent packages e.g. glib, cairo, gtk+ are being compiled again, which I think it should not do.

I talked to philn-tp in #webkit-gtk & I am suggested this bug might be the reason for the issue, so sharing my observation. Can someone please look into this?
Comment 4 Martin Robinson 2012-03-27 07:01:35 PDT
(In reply to comment #3)
> Today I got an weird build issue while building webkit-gtk & I am using 112046.
> 
> I got my release build working, but then when I am building webkit for debug option, I see that all my dependent packages e.g. glib, cairo, gtk+ are being compiled again, which I think it should not do.
> 
> I talked to philn-tp in #webkit-gtk & I am suggested this bug might be the reason for the issue, so sharing my observation. Can someone please look into this?

Did you update your checkout between builds? Do packages rebuild every time you build?
Comment 5 Mustafizur Rahaman( :rahaman) 2012-03-27 08:41:13 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Today I got an weird build issue while building webkit-gtk & I am using 112046.
> > 
> > I got my release build working, but then when I am building webkit for debug option, I see that all my dependent packages e.g. glib, cairo, gtk+ are being compiled again, which I think it should not do.
> > 
> > I talked to philn-tp in #webkit-gtk & I am suggested this bug might be the reason for the issue, so sharing my observation. Can someone please look into this?
> 
> Did you update your checkout between builds? Do packages rebuild every time you build?

I did not update the packages in between. I first build release build & then when I was building debug build, still I saw the packages being built. I did not try to build the release/debug build after that..
Comment 6 Gustavo Noronha (kov) 2012-03-27 10:57:37 PDT
Comment on attachment 133825 [details]
Patch

Makes sense, thanks Philippe! The only worry I have is that autogen might not be run in some cases it should, when building more than one build type, but that's easily fixable by a human and not a problem on bots =)
Comment 7 Philippe Normand 2012-03-28 01:23:06 PDT
Committed r112372: <http://trac.webkit.org/changeset/112372>